Subject: Re: [Cbe-oss-dev] [PATCH] Ignore memory listed in PS3 device tree

From: Geoff Levand <[email-masked]>
Date: Fri, 30 Mar 2007 10:41:23 -0700

David Woodhouse wrote:
> The old 2.6.16 kernel handled memory statically and it was shown in the
> device tree. The current kernel deals with the hypervisor and hotplugs
> the memory, so we should just ignore anything that's reported in the
> device-tree. This enables the current kernel to be booted from 2.6.16
> without evil hacks in head_64.S to override the device-tree.

The proper way is to parse out just the command line from the incompatible
DT, and use that with the new DT supplied by the bootwrapper.  I planed
to do that in my bootwrapper, but haven't coded it yet.

-Geoff